import { Permission } from "@cqsjjb/jjb-common-decorator/permission";
import { Connect } from "@cqsjjb/jjb-dva-runtime";
import ThresholdList from "~/components/ThresholdAlarmInfo/List";
import { NS_ALARMRECORD, NS_THRESHOLDALARMINFO } from "~/enumerate/namespace";

function List(props) {
  return <ThresholdList {...props} type="fgs" />;
}

export default Connect([NS_THRESHOLDALARMINFO, NS_ALARMRECORD], true)(Permission(List));
